Skip to navigation

List custom objects with filtering and sorting

View as Markdown

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

objectTypeIdlongRequired
The object type ID to scope results to

Headers

X-Workspace-IdstringOptional

Request

Request body for the filtered custom object list view endpoint
filterslist of objectsOptional
Optional filter conditions
sortenumOptional
Sort order for custom object list view results
scopeenumOptional

Scope of the object type (GLOBAL or WORKSPACE)

Allowed values:
workspace_idlongOptional

Workspace ID for cross-type queries. Required when scope=WORKSPACE in cross-type list calls (when objectTypeId is absent).

pageintegerOptionalDefaults to 1

Page number (1-based)

page_sizeintegerOptionalDefaults to 25
Number of records per page

Response

Successful response